Package com.independentsoft.office.word

# Enum Class GlossaryDocumentGalleryType

java.lang.Object
java.lang.Enum<GlossaryDocumentGalleryType>
com.independentsoft.office.word.GlossaryDocumentGalleryType

All Implemented Interfaces:
  `Serializable`, `Comparable<GlossaryDocumentGalleryType>`, `Constable`

public enum GlossaryDocumentGalleryType extends Enum<GlossaryDocumentGalleryType>
The Enum GlossaryDocumentGalleryType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `AUTO_TEXT`
  `BIBLIOGRAPHY`
  `COVER_PAGE`
  `CUSTOM_1`
  `CUSTOM_2`
  `CUSTOM_3`
  `CUSTOM_4`
  `CUSTOM_5`
  `CUSTOM_AUTO_TEXT`
  `CUSTOM_BIBLIOGRAPHY`
  `CUSTOM_COVER_PAGE`
  `CUSTOM_EQUATION`
  `CUSTOM_FOOTER`
  `CUSTOM_HEADER`
  `CUSTOM_PAGE_NUMBER`
  `CUSTOM_PAGE_NUMBER_AT_BOTTOM`
  `CUSTOM_PAGE_NUMBER_AT_MARGINS`
  `CUSTOM_PAGE_NUMBER_AT_TOP`
  `CUSTOM_QUICK_PARTS`
  `CUSTOM_TABLE`
  `CUSTOM_TABLE_OF_CONTENTS`
  `CUSTOM_TEXT_BOX`
  `CUSTOM_WATERMARK`
  `DOCUMENT_PARTS`
  `EQUATIONS`
  `FOOTERS`
  `HEADERS`
  `NO_GALLERY`
  `NONE`
  `PAGE_NUMBERS`
  `PAGE_NUMBERS_AT_BOTTOM`
  `PAGE_NUMBERS_AT_MARGINS`
  `PAGE_NUMBERS_AT_TOP`
  `STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT`
  `TABLE`
  `TABLE_OF_CONTENTS`
  `TEXT_BOX`
  `WATERMARK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlossaryDocumentGalleryType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static GlossaryDocumentGalleryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final GlossaryDocumentGalleryType ALL

  - ### AUTO_TEXT

    public static final GlossaryDocumentGalleryType AUTO_TEXT

  - ### BIBLIOGRAPHY

    public static final GlossaryDocumentGalleryType BIBLIOGRAPHY

  - ### COVER_PAGE

    public static final GlossaryDocumentGalleryType COVER_PAGE

  - ### CUSTOM_AUTO_TEXT

    public static final GlossaryDocumentGalleryType CUSTOM_AUTO_TEXT

  - ### CUSTOM_BIBLIOGRAPHY

    public static final GlossaryDocumentGalleryType CUSTOM_BIBLIOGRAPHY

  - ### CUSTOM_COVER_PAGE

    public static final GlossaryDocumentGalleryType CUSTOM_COVER_PAGE

  - ### CUSTOM_EQUATION

    public static final GlossaryDocumentGalleryType CUSTOM_EQUATION

  - ### CUSTOM_FOOTER

    public static final GlossaryDocumentGalleryType CUSTOM_FOOTER

  - ### CUSTOM_HEADER

    public static final GlossaryDocumentGalleryType CUSTOM_HEADER

  - ### CUSTOM_1

    public static final GlossaryDocumentGalleryType CUSTOM_1

  - ### CUSTOM_2

    public static final GlossaryDocumentGalleryType CUSTOM_2

  - ### CUSTOM_3

    public static final GlossaryDocumentGalleryType CUSTOM_3

  - ### CUSTOM_4

    public static final GlossaryDocumentGalleryType CUSTOM_4

  - ### CUSTOM_5

    public static final GlossaryDocumentGalleryType CUSTOM_5

  - ### CUSTOM_PAGE_NUMBER

    public static final GlossaryDocumentGalleryType CUSTOM_PAGE_NUMBER

  - ### CUSTOM_PAGE_NUMBER_AT_BOTTOM

    public static final GlossaryDocumentGalleryType CUSTOM_PAGE_NUMBER_AT_BOTTOM

  - ### CUSTOM_PAGE_NUMBER_AT_MARGINS

    public static final GlossaryDocumentGalleryType CUSTOM_PAGE_NUMBER_AT_MARGINS

  - ### CUSTOM_PAGE_NUMBER_AT_TOP

    public static final GlossaryDocumentGalleryType CUSTOM_PAGE_NUMBER_AT_TOP

  - ### CUSTOM_QUICK_PARTS

    public static final GlossaryDocumentGalleryType CUSTOM_QUICK_PARTS

  - ### CUSTOM_TABLE_OF_CONTENTS

    public static final GlossaryDocumentGalleryType CUSTOM_TABLE_OF_CONTENTS

  - ### CUSTOM_TABLE

    public static final GlossaryDocumentGalleryType CUSTOM_TABLE

  - ### CUSTOM_TEXT_BOX

    public static final GlossaryDocumentGalleryType CUSTOM_TEXT_BOX

  - ### CUSTOM_WATERMARK

    public static final GlossaryDocumentGalleryType CUSTOM_WATERMARK

  - ### NO_GALLERY

    public static final GlossaryDocumentGalleryType NO_GALLERY

  - ### DOCUMENT_PARTS

    public static final GlossaryDocumentGalleryType DOCUMENT_PARTS

  - ### EQUATIONS

    public static final GlossaryDocumentGalleryType EQUATIONS

  - ### FOOTERS

    public static final GlossaryDocumentGalleryType FOOTERS

  - ### HEADERS

    public static final GlossaryDocumentGalleryType HEADERS

  - ### PAGE_NUMBERS

    public static final GlossaryDocumentGalleryType PAGE_NUMBERS

  - ### PAGE_NUMBERS_AT_BOTTOM

    public static final GlossaryDocumentGalleryType PAGE_NUMBERS_AT_BOTTOM

  - ### PAGE_NUMBERS_AT_MARGINS

    public static final GlossaryDocumentGalleryType PAGE_NUMBERS_AT_MARGINS

  - ### PAGE_NUMBERS_AT_TOP

    public static final GlossaryDocumentGalleryType PAGE_NUMBERS_AT_TOP

  - ### STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT

    public static final GlossaryDocumentGalleryType STRUCTURED_DOCUMENT_TAG_PLACEHOLDER_TEXT

  - ### TABLE_OF_CONTENTS

    public static final GlossaryDocumentGalleryType TABLE_OF_CONTENTS

  - ### TABLE

    public static final GlossaryDocumentGalleryType TABLE

  - ### TEXT_BOX

    public static final GlossaryDocumentGalleryType TEXT_BOX

  - ### WATERMARK

    public static final GlossaryDocumentGalleryType WATERMARK

  - ### NONE

    public static final GlossaryDocumentGalleryType NONE

- ## Method Details

  - ### values

    public static GlossaryDocumentGalleryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GlossaryDocumentGalleryType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null